<ion-header>
  <ion-toolbar>
    <ion-title>SCSS to JSON Convertor</ion-title>
    <ion-buttons slot="end">
      <ion-button fill="clear" color="danger" (click)="cancelModel()">
        <ion-icon name="close" slot="start"></ion-icon>
        Close
      </ion-button>
    </ion-buttons>
  </ion-toolbar>
</ion-header>

<ion-content>
  <ion-grid>
    <ion-row class="forms-section">
      <ion-col>
        <ion-item lines="none">
          <ion-label position="fixed">SCSS</ion-label>
          <ion-textarea placeholder="Enter SCSS Value" rows="6" autoGrow="true" [(ngModel)]="cssDataString"
            class="scssBox"></ion-textarea>
        </ion-item>
        <ion-item *ngIf="jsonDataString" lines="none">
          <ion-label position="fixed">JSON</ion-label>
          <ion-textarea rows="6" autoGrow="true" [(ngModel)]="jsonDataString" class="jsonBox"></ion-textarea>
        </ion-item>
        <ion-button expand="block" color="secondary" *ngIf="!jsonDataString" class="ion-margin-top"
          (click)="convertSCSStoJSON()">
          <ion-icon name="refresh" slot="start"></ion-icon>
          Covert to JSON
        </ion-button>
        <ion-button expand="block" color="warning" *ngIf="jsonDataString" class="ion-margin-top"
          (click)="resetInputFields()">
          <ion-icon name="arrow-undo-outline" slot="start"></ion-icon>
          Reset
        </ion-button>
      </ion-col>
    </ion-row>
  </ion-grid>
</ion-content>